<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <main>
        <div>
            <h1>My Lists</h1>
                <p> <a href="{% url 'todo_create' %}">Create new list</a></p>
            <table>
               <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of items</th>
                    </tr>
               </thead>
               <tbody>
                    {% for todo in todo_lists %}
                    <tr>
                        <td> <a href='{% url 'todo_detail' todo.id %}'>{{ todo.name}}</a></td>
                        <td> {{ todo.items.all|length }}</td>
                    </tr>
                    {% endfor %}
               </tbody>
            </table>
        </div>
    </main>

</body>
</html>
